complexType "SimplePayment"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, paymentAmount?, paymentDate?
</...>

Content Model Elements (6):

  payerAccountReference, payerPartyReference (defined in PayerReceiver.model group), paymentAmount (defined in SimplePayment complexType), | paymentDate (defined in SimplePayment complexType), receiverAccountReference, receiverPartyReference

Known Direct Subtypes (1):

  Premium

All Direct / Indirect Based Elements (4):

  cashSettlement (in optionExercise), initialFee, | premium (defined in GenericProduct complexType), premium (defined in OptionBaseExtended complexType)

Known Usage Locations

- In derivations of other global types (1):
  Premium (as extension base)
- As direct type of elements (3):

  cashSettlement (in optionExercise), initialFee, | premium (defined in GenericProduct complexType)

Annotation
A complex type to specified payments in a simpler fashion than the Payment type. This construct should be used from the version 4.3 onwards.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) SimplePayment

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="SimplePayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="paymentAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/6)
paymentAmount

  Type: | NonNegativeMoney, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="paymentAmount" type="NonNegativeMoney"/>

paymentDate

  Type: | AdjustableOrRelativeDate, complex content

  The payment date. This date is subject to adjustment in accordance with any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.